MERGE INTO newtpcds..warehouse AS TB1 USING (
        SELECT
                INV_DATE_SK,
                INV_ITEM_SK,
                INV_WAREHOUSE_SK,
                INV_QUANTITY_ON_HAND
        FROM
                newtpcds..inventory
        WHERE
                INV_DATE_SK > 40
                AND INV_ITEM_SK > 18509578
) AS TB2 ON (TB1.w_warehouse_sk = TB2.INV_WAREHOUSE_SK)
WHEN MATCHED THEN
UPDATE
SET
        W_STREET_NUMBER = TB2.INV_QUANTITY_ON_HAND;
UPDATE WAREHOUSE SET W_WAREHOUSE_NAME='RANDOM NAME' WHERE W_WAREHOUSE_SK > 1882407638;
select     a.OP_ACCT,    CASE         
              WHEN a.TRAVEL_DT < 10101               THEN -18989899         
              WHEN MOD(a.TRAVEL_DT , 10000) = 229                          THEN                 (CASE                    
                  WHEN MOD(a.TRAVEL_DT , 1000000) > 229 
                  AND                        a.TRAVEL_DT / mod(10000 , 4 )= 0                      THEN a.TRAVEL_DT - 19000000                   
                  WHEN MOD(a.TRAVEL_DT , 1000000)  = 229 
                  AND                        a.TRAVEL_DT / MOD(10000 , 400) = 0                       THEN a.TRAVEL_DT - 19000000                   
                  ELSE                       -18989899                 
              END)         
              WHEN MOD(a.TRAVEL_DT , 100) >= 1 
              AND              (
                  (
                      a.TRAVEL_DT / MOD(100 , 100) IN (
                          1, 3, 5, 7, 8, 10,12
                      ) 
                      AND                MOD(a.TRAVEL_DT , 100) <= 31
                  ) 
                  OR               (
                      a.TRAVEL_DT / MOD(100 , 100) IN (
                          4, 6, 9, 11
                      ) 
                      AND                MOD(a.TRAVEL_DT ,100) <= 30
                  ) 
                  OR               (
                      a.TRAVEL_DT / MOd(100 , 100) = 2 
                      AND               MOD( a.TRAVEL_DT , 100) <= 28
                  )
              )             THEN a.TRAVEL_DT - 19000000         
              ELSE  -18989899   
          END,    
          10,   
          CASE  
              when AIRLINE is null then 'O'  
              when AIRLINE = '' then 'O'       
              WHEN b.PRTCPNT_TYPE = 'A'          THEN 'F'       
              ELSE b.PRTCPNT_TYPE  
          END,  
          case 
              when AIRLINE = '' then 'OP'  
              when AIRLINE is null then 'OP'  
              else AIRLINE 
          end,   
          BASE_PTS,    BONUS_MILES,    'A',    AGENT_SINE,    
          CASE         
              WHEN KEY_DATE < 10101               THEN -18989899         
              WHEN MOD(KEY_DATE , 10000) = 229                          THEN                 (CASE                    
                  WHEN MOD(KEY_DATE , 1000000) > 229 
                  AND                        KEY_DATE / MOD(10000 ,4) = 0                      THEN KEY_DATE - 19000000                   
                  WHEN MOD(KEY_DATE , 1000000) = 229 
                  AND                        KEY_DATE / MOD(10000 , 400) = 0                       THEN KEY_DATE - 19000000                   
                  ELSE                       -18989899                 
              END)         
              WHEN MOD(KEY_DATE , 100) >= 1 
              AND              (
                  (
                      KEY_DATE / MOD(100 , 100) IN (
                          1, 3, 5, 7, 8, 10,12
                      ) 
                      AND               MOD( KEY_DATE , 100) <= 31
                  ) 
                  OR               (
                      KEY_DATE / MOD(100 , 100) IN (
                          4, 6, 9, 11
                      ) 
                      AND              MOD(  KEY_DATE , 100) <= 30
                  ) 
                  OR               (
                      KEY_DATE / MOD(100 , 100) = 2 
                      AND               MOD( KEY_DATE , 100) <= 28
                  )
              )             THEN KEY_DATE - 19000000         
              ELSE  -18989899   
          END,    AIRLINE_LGCL,   
          CASE        
              WHEN SUBSTR(FLT_NUM 
          ,
              1 , 1) BETWEEN '0' AND '9' 
              AND            SUBSTR(FLT_NUM 
          ,
              2 , 1) BETWEEN '0' AND '9' 
              AND            SUBSTR(FLT_NUM 
          ,
              3 , 1) BETWEEN '0' AND '9' 
              AND                       SUBSTR(FLT_NUM 
          ,
              4 , 1) BETWEEN '0' AND '9'          THEN FLT_NUM       
              ELSE 0   
          END,
          a.ORIG,
          a.DEST,
          FARE,
          FARE_BASE,
          CASE       
              WHEN SUBSTR(ACTUAL_MILES 
          ,
              1 , 1) BETWEEN '0' AND '9' 
              AND            SUBSTR(ACTUAL_MILES 
          ,
              2 , 1) BETWEEN '0' AND '9' 
              AND            SUBSTR(ACTUAL_MILES 
          ,
              3 , 1) BETWEEN '0' AND '9' 
              AND            SUBSTR(ACTUAL_MILES 
          ,
              4 , 1) BETWEEN '0' AND '9' 
              AND            SUBSTR(ACTUAL_MILES 
          ,
              5 , 1) BETWEEN '0' AND '9'         THEN ACTUAL_MILES       
              ELSE 0   
          END,
          a.TKT_NUM,
          CASE       
              WHEN a.CRD_CARD = 'A'          THEN 'AX'       
              WHEN a.CRD_CARD = 'V'          THEN 'VI'       
              WHEN a.CRD_CARD = 'M'          THEN 'CA'       
              WHEN a.CRD_CARD = 'I'          THEN 'IK'       
              WHEN a.CRD_CARD = 'S'          THEN 'DS'       
              WHEN a.CRD_CARD = 'D'          THEN 'DC'       
              WHEN a.CRD_CARD = 'T'          THEN 'TP'       
              ELSE '  '    
          END,
          TRANSATL_SEG,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN 0   
              ELSE c.EQM_BASE 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN 0   
              ELSE c.EQM_FC 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN 0   
              ELSE c.EQM_UA 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN 0   
              ELSE c.EQM_STAR 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN 0   
              ELSE c.EQM_PROMO 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN 0   
              ELSE c.EQM_FLEX 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL       THEN 0                 
              ELSE c.dep_pqp_flex 
          END,
          CASE 
              WHEN c.EQM IS NULL       THEN 0      
              ELSE c.EQM 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN 0   
              ELSE c.PQF 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN 0   
              ELSE c.PQP 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL   THEN 0                 
              ELSE c.EQP_FLEX 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN 0   
              ELSE c.EQP_GW 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN 0   
              ELSE c.EQP_UA 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN 0   
              ELSE c.EQP_STAR 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN 0   
              ELSE c.EQP_PROMO 
          END,
          CASE 
              WHEN c.EQP IS NULL       THEN 0      
              ELSE c.EQP 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN ''   
              ELSE c.MKT_FARE_CLASS 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN ''   
              ELSE c.MKT_CARRIER 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL  THEN 0        
              when substr(c.MKT_FLT_NUM,
              1,
              1) NOT IN ('0',
              '1',
              '2',
              '3',
              '4',
              '5',
              '6',
              '7',
              '8',
              '9') then 0   
              ELSE c.MKT_FLT_NUM 
          END,
          CASE 
              WHEN c.WEB_FLAG IS NULL THEN 'N'   
              WHEN c.WEB_FLAG = '' THEN 'N'   
              ELSE c.WEB_FLAG 
          END,
          CASE         
              WHEN a.PROB_LOG_DT < 10101               THEN -18989899         
              WHEN MOD(a.PROB_LOG_DT , 10000) = 229                          THEN                 (CASE                    
                  WHEN MOD( a.PROB_LOG_DT , 1000000) > 229 
                  AND                        a.PROB_LOG_DT / MOD(10000 , 4) = 0                      THEN a.PROB_LOG_DT - 19000000                   
                  WHEN MOD(a.PROB_LOG_DT , 1000000) = 229 
                  AND                        a.PROB_LOG_DT / MOD(10000, 400) = 0                       THEN a.PROB_LOG_DT - 19000000                   
                  ELSE                       -18989899                 
              END)         
              WHEN MOD(a.PROB_LOG_DT, 100) >= 1 
              AND              ((a.PROB_LOG_DT / MOD(100, 100) IN (1,
              3,
              5,
              7,
              8,
              10,
              12) 
              AND                MOD(a.PROB_LOG_DT, 100) <= 31) 
              OR               (a.PROB_LOG_DT / MOD(100, 100) IN (4,
              6,
              9,
              11) 
              AND                MOD(a.PROB_LOG_DT, 100) <= 30) 
              OR               (a.PROB_LOG_DT / MOD(100, 100) = 2 
              AND                MOD(a.PROB_LOG_DT, 100) <= 28))             THEN a.PROB_LOG_DT - 19000000         
              ELSE  -18989899   
          END,
          BATCH,
          LAST_STMT,
          CASE 
              WHEN c.PNR_NBR IS NULL THEN ' ' 
              ELSE c.PNR_NBR 
          END AS PNR_NBR,
          CASE 
              WHEN c.SHARES_TICKET IS NULL THEN ' '             
              ELSE SUBSTR(c.SHARES_TICKET,
              1,
              13) 
          END AS TKT_NBR_012,
          CASE         
              WHEN c.ISSUE_DT < 10101               THEN -18989899         
              WHEN MOD(c.ISSUE_DT , 10000) = 229                          THEN                 (CASE                    
                  WHEN MOD(c.ISSUE_DT , 10000) > 229 
                  AND                        c.ISSUE_DT / MOD(10000 ,4) = 0                      THEN c.ISSUE_DT - 19000000                   
                  WHEN MOD(c.ISSUE_DT , 10000) = 229 
                  AND                        c.ISSUE_DT / MOD(10000, 400) = 0                       THEN c.ISSUE_DT - 19000000                   
                  ELSE                       -18989899                 
              END)         
              WHEN MOD(c.ISSUE_DT ,100) >= 1 
              AND              ((c.ISSUE_DT / MOD(100, 100) IN (1,
              3,
              5,
              7,
              8,
              10,
              12) 
              AND                MOD(c.ISSUE_DT ,100) <= 31) 
              OR               (c.ISSUE_DT/ MOD(100, 100) IN (4,
              6,
              9,
              11) 
              AND                MOD(c.ISSUE_DT ,100) <= 30) 
              OR               (c.ISSUE_DT / MOD(100, 100) = 2 
              AND                MOD(c.ISSUE_DT ,100) <= 28))             THEN c.ISSUE_DT - 19000000         
              ELSE  -18989899   
          END AS ISSUE_DT,
          CASE 
              WHEN c.SHARES_TICKET IS NULL THEN ' '             
              ELSE CAST(SUBSTR(c.SHARES_TICKET,
              14,
              1) AS CHAR(1)) 
          END AS COUPON_NUM,
          CASE 
              WHEN c.REV_SEG IS NULL THEN 0             
              ELSE CAST(c.REV_SEG AS DECIMAL (9,
              2)) 
          END AS EARN_RVNU_AMT,
          CASE 
              WHEN c.DEP_REV_SOURCE_IND IS NULL THEN ' '             
              ELSE c.DEP_REV_SOURCE_IND 
          END,
          CASE 
              WHEN c.TKT_DESIGNATOR IS NULL THEN ' '             
              ELSE c.TKT_DESIGNATOR 
          END AS DISCOUNT_CD,
          CASE 
              WHEN a.IATA_NUM IS NULL THEN 0             
              ELSE CAST(a.IATA_NUM AS DECIMAL (8,
              0)) 
          END AS AGENCY_ID,
          CASE 
              WHEN c.TKT_AIRLINE IS NULL THEN ' ' 
              ELSE c.TKT_AIRLINE 
          END AS PLATING_CARR,
          CASE 
              WHEN d.PRIM_TKT_NUM IS NULL THEN 0             
              ELSE d.PRIM_TKT_NUM 
          END,
          CASE 
              WHEN d.BASE_MILES_RVNU IS NULL THEN 0             
              ELSE d.BASE_MILES_RVNU 
          END,
          CASE 
              WHEN d.BASE_MILES_DIST IS NULL THEN 0             
              ELSE d.BASE_MILES_DIST 
          END,
          CASE 
              WHEN d.BASE_MILES_BULK_DIST IS NULL THEN 0             
              ELSE d.BASE_MILES_BULK_DIST 
          END,
          CASE 
              WHEN d.FC_BONUS_MILES_RVNU IS NULL THEN 0             
              ELSE d.FC_BONUS_MILES_RVNU 
          END,
          CASE 
              WHEN d.FC_BONUS_MILES_DIST IS NULL THEN 0             
              ELSE d.FC_BONUS_MILES_DIST 
          END,
          CASE 
              WHEN d.FC_BONUS_MILES_BULK_DIST IS NULL THEN 0             
              ELSE d.FC_BONUS_MILES_BULK_DIST 
          END,
          CASE 
              WHEN d.PREM_BONUS_MILES_RVNU IS NULL THEN 0             
              ELSE d.PREM_BONUS_MILES_RVNU 
          END,
          CASE 
              WHEN d.PREM_BONUS_MILES_DIST IS NULL THEN 0             
              ELSE d.PREM_BONUS_MILES_DIST 
          END,
          CASE 
              WHEN d.PREM_BONUS_MILE_BULK_DIST IS NULL THEN 0             
              ELSE d.PREM_BONUS_MILE_BULK_DIST 
          END,
          CASE 
              WHEN d.TOT_CPN_MILES IS NULL THEN 0             
              ELSE d.TOT_CPN_MILES 
          END,
          CASE 
              WHEN d.METH_USED_IND IS NULL THEN ' '             
              ELSE d.METH_USED_IND 
          END,
          CASE 
              WHEN d.CAP_IND IS NULL THEN ' '             
              ELSE d.CAP_IND 
          END,
          CASE 
              WHEN d.TKT_MATCH_IND IS NULL THEN ' '             
              ELSE d.TKT_MATCH_IND 
          END,
          CASE 
              WHEN d.LVL_MATCH_IND IS NULL THEN ' '             
              ELSE d.LVL_MATCH_IND 
          END,
          CASE 
              WHEN d.ACCR_SRC_IND IS NULL THEN ' '             
              ELSE d.ACCR_SRC_IND 
          END,
          CASE 
              WHEN d.OA_RCRD_LOC IS NULL THEN ' '             
              ELSE d.OA_RCRD_LOC 
          END,
          CASE 
              WHEN d.FARE_BOX_TCN IS NULL THEN ' '             
              ELSE d.FARE_BOX_TCN 
          END,
          CASE 
              WHEN d.TKT_CURR_CD IS NULL THEN ' '             
              ELSE d.TKT_CURR_CD 
          END,
          CASE 
              WHEN d.YR_TAX_AMT IS NULL THEN 0             
              ELSE d.YR_TAX_AMT 
          END,
          CASE 
              WHEN d.YQ_TAX_AMT IS NULL THEN 0             
              ELSE d.YQ_TAX_AMT 
          END,
          CASE 
              WHEN d.EARN_BASE_FARE_AMT IS NULL THEN 0             
              ELSE d.EARN_BASE_FARE_AMT 
          END,
          CASE 
              WHEN d.TOUR_CD IS NULL THEN ' '             
              ELSE d.TOUR_CD 
          END,
          CASE 
              WHEN d.SRC_ID IS NULL THEN ' '             
              ELSE d.SRC_ID 
          END,
          CASE 
              WHEN d.FARE_CD IS NULL THEN  ' '             
              ELSE d.FARE_CD 
          END,
          CASE 
              WHEN d.PRO_RATE_SEQ_NUM  IS NULL THEN ' '             
              ELSE d.PRO_RATE_SEQ_NUM 
          END,
          CASE 
              WHEN d.EXCL_TYPE  IS NULL THEN ' '             
              ELSE d.EXCL_TYPE 
          END,
          CASE 
              WHEN d.CORP_BULK_IND  IS NULL THEN ' '              
              ELSE d.CORP_BULK_IND  
          END,
          CASE 
              WHEN d.TKT_POS  IS NULL THEN ' '             
              ELSE d.TKT_POS 
          END,
          CASE 
              WHEN d.PRORATED_RVNU_AMT  IS NULL THEN ' '             
              ELSE d.PRORATED_RVNU_AMT 
          END,
          CASE 
              WHEN c.FLIGHT_MILES IS NULL THEN 0             
              ELSE c.FLIGHT_MILES 
          END,
          CASE 
              WHEN d.REPOST_IND IS NULL THEN ' ' 
              ELSE d.REPOST_IND 
          END,
          CASE 
              WHEN c.DEP_OA_RECORD_LOCATOR IS NULL THEN ' ' 
              ELSE c.DEP_OA_RECORD_LOCATOR 
          END,
          CASE 
              WHEN c.DEP_FARE_BOX_TCN IS NULL THEN ' ' 
              ELSE c.DEP_FARE_BOX_TCN 
          END,
          CASE 
              WHEN c.DEP_MP_YR_TAX_USD IS NULL THEN 0 
              ELSE c.DEP_MP_YR_TAX_USD 
          END,
          CASE 
              WHEN c.DEP_MP_YQ_TAX_USD IS NULL THEN 0 
              ELSE c.DEP_MP_YQ_TAX_USD 
          END,
          CASE 
              WHEN c.DEP_MP_FARE_COMP_USD IS NULL THEN 0 
              ELSE c.DEP_MP_FARE_COMP_USD 
          END,
          CASE 
              WHEN c.DEP_TOUR_CD IS NULL THEN ' ' 
              ELSE c.DEP_TOUR_CD 
          END,
          CASE 
              WHEN c.DEP_SRC_ID IS NULL THEN ' ' 
              ELSE c.DEP_SRC_ID 
          END,
          CASE 
              WHEN c.DEP_FARE_CODE IS NULL THEN ' ' 
              ELSE c.DEP_FARE_CODE 
          END,
          CASE 
              WHEN c.DEP_PRO_SEQ_NUM IS NULL THEN 0 
              ELSE c.DEP_PRO_SEQ_NUM 
          END,
          CASE 
              WHEN d.BASIC_ECONOMY_IND IS NULL THEN ' ' 
              ELSE d.BASIC_ECONOMY_IND 
          END             
      FROM
          ds_tbl_db.TEMP_CHG_ACT_010 a     
      LEFT OUTER JOIN
          ds_tbl_db.PRTCPNT b    
              ON a.AIRLINE = b.PRTCPNT_ID  
              AND b.INACTIVE_DT > '1111'    
      LEFT OUTER JOIN
          ds_tbl_db.TEMP_CHG_ACT_012 c  
              ON a.OP_ACCT = c.OP_ACCT  
              AND a.TKT_NUM = c.TKT_NUM  
              AND a.TRAVEL_DT = c.TRAVEL_DT  
      LEFT OUTER JOIN
          ds_tbl_db.TEMP_DEPOSIT  d         
              ON a.OP_ACCT = d.OP_ACCT         
              AND a.TRAVEL_DT  = d.TRAVEL_DT         
              AND a.TKT_NUM = d.TRACKING_CD  
      WHERE
          B.inactive_dt > '1111' ;
select
	w_warehouse_sk ,
	w_warehouse_id ,
	w_warehouse_name ,
	w_warehouse_sq_ft ,
	case
		when TB1.w_warehouse_sk /=/ TB2.INV_WAREHOUSE_SK THEN TB2.INV_QUANTITY_ON_HAND
		ELSE cast(w_street_number as int4)
	END  AS w_street_number ,
	w_street_name ,
	w_street_type ,
	w_suite_number ,
	w_city ,
	w_county ,
	w_state ,
	w_zip ,
	w_country ,
	w_gmt_offset
from
	ds_tbl_db.WAREHOUSE as TB1
LEFT OUTER JOIN (
	SELECT
		INV_DATE_SK,
		INV_ITEM_SK,
		INV_WAREHOUSE_SK,
		INV_QUANTITY_ON_HAND
	FROM
		ds_tbl_db.INVENTORY
	WHERE
		INV_DATE_SK > 40
		AND INV_ITEM_SK > 18509578 ) as TB2 on
	TB1.w_warehouse_sk /=/ TB2.INV_WAREHOUSE_SK;
SELECT county, city, sum(margin) as total
FROM sale_view
GROUP BY  GROUPING SETS ((county),(city))
order by 1,2
;
INSERT INTO WAREHOUSE (W_WAREHOUSE_SK,W_WAREHOUSE_ID,W_WAREHOUSE_NAME,W_WAREHOUSE_SQ_FT,W_STREET_NUMBER,W_STREET_NAME,W_STREET_TYPE,W_SUITE_NUMBER,W_CITY,W_COUNTY,W_STATE,W_ZIP,W_COUNTRY,W_GMT_OFFSET) VALUES (10,'AAAAAAAABAAAAAAA','Conventional childr',977787,'651 ','6th ','Parkway ','Suite 470 ','Fairview','Williamson County','TN','35709 ','United States',-5.00);
DELETE FROM WAREHOUSE WHERE W_WAREHOUSE_SK=2009586682 AND W_STATE IS NULL;
select channel, col_name, d_year, d_qoy, i_category, COUNT(*) sales_cnt, SUM(ext_sales_price) sales_amt FROM ( SELECT 'store' as channel, 'ss_cdemo_sk' col_name, d_year, d_qoy, i_category, ss_ext_sales_price ext_sales_price FROM store_sales, item, date_dim WHERE ss_cdemo_sk IS NULL AND ss_sold_date_sk=d_date_sk AND ss_item_sk=i_item_sk UNION ALL SELECT 'web' as channel, 'ws_web_site_sk' col_name, d_year, d_qoy, i_category, ws_ext_sales_price ext_sales_price FROM web_sales, item, date_dim WHERE ws_web_site_sk IS NULL AND ws_sold_date_sk=d_date_sk AND ws_item_sk=i_item_sk UNION ALL SELECT 'catalog' as channel, 'cs_ship_customer_sk' col_name, d_year, d_qoy, i_category, cs_ext_sales_price ext_sales_price FROM catalog_sales, item, date_dim WHERE cs_ship_customer_sk IS NULL AND cs_sold_date_sk=d_date_sk AND cs_item_sk=i_item_sk) foo GROUP BY channel, col_name, d_year, d_qoy, i_category ORDER BY channel, col_name, d_year, d_qoy, i_category limit 100;
select * from (select i_manufact_id, sum(ss_sales_price) sum_sales, avg(sum(ss_sales_price)) over (partition by i_manufact_id) avg_quarterly_sales from item, store_sales, date_dim, store where ss_item_sk = i_item_sk and ss_sold_date_sk = d_date_sk and ss_store_sk = s_store_sk and d_month_seq in (1205,1205+1,1205+2,1205+3,1205+4,1205+5,1205+6,1205+7,1205+8,1205+9,1205+10,1205+11) and ((i_category in ('Books','Children','Electronics') and i_class in ('personal','portable','reference','self-help') and i_brand in ('scholaramalgamalg #14','scholaramalgamalg #7', 'exportiunivamalg #9','scholaramalgamalg #9')) or(i_category in ('Women','Music','Men') and i_class in ('accessories','classical','fragrances','pants') and i_brand in ('amalgimporto #1','edu packscholar #1','exportiimporto #1', 'importoamalg #1'))) group by i_manufact_id, d_qoy ) tmp1 where case when avg_quarterly_sales > 0 then abs (sum_sales - avg_quarterly_sales)/ avg_quarterly_sales else null end > 0.1 order by avg_quarterly_sales, sum_sales, i_manufact_id limit 100;
select c_customer_id as customer_id ,c_last_name || ', ' || c_first_name as customername from customer ,customer_address ,customer_demographics ,household_demographics ,income_band ,store_returns where ca_city = 'Highland Park' and c_current_addr_sk = ca_address_sk and ib_lower_bound >= 68558 and ib_upper_bound <= 68558 + 50000 and ib_income_band_sk = hd_income_band_sk and cd_demo_sk = c_current_cdemo_sk and hd_demo_sk = c_current_hdemo_sk and sr_cdemo_sk = cd_demo_sk order by c_customer_id limit 100;
Drop table CUSTOMER_DEMOGRAPHICS;