SELECT p_promo_sk,p_start_date_sk,ROW_NUMBER() OVER(partition by p_promo_sk, p_start_date_sk ORDER BY ABS(p_item_sk-p_promo_sk)),
RANK() OVER (partition by p_promo_sk, p_start_date_sk ORDER BY ABS(p_item_sk-p_promo_sk) desc) AS "Rank",
DENSE_RANK() OVER (partition by p_promo_sk, p_start_date_sk ORDER BY ABS(p_item_sk-p_promo_sk) desc) AS "Dense Rank",
NTILE(4) OVER (partition by p_promo_sk, p_start_date_sk ORDER BY ABS(p_item_sk-p_promo_sk) asc) AS Quartile   
FROM promotion;

SELECT * FROM
(
Select i_class, ROW_NUMBER() OVER(PARTITION BY i_class,i_category ORDER BY i_current_price DESC,i_wholesale_cost ASC) As XRANK
FROM INVENTORY TB1
INNER JOIN WAREHOUSE TB2 
ON TB1.INV_WAREHOUSE_SK = TB2.W_WAREHOUSE_SK
INNER JOIN ITEM TB3 
ON TB1.INV_ITEM_SK = TB3.I_ITEM_SK
INNER JOIN DATE_DIM TB4 
ON TB1.INV_DATE_SK =TB4.D_DATE_SK
) A Where XRANK <100;


Select i_class, i_wholesale_cost,i_category,MIN (i_current_price)
FROM item
GROUP BY ROLLUP (i_class, i_wholesale_cost,i_category);


SELECT TB1.INV_DATE_SK,TB1.INV_QUANTITY_ON_HAND,TB2.W_WAREHOUSE_NAME
,case when TB1.INV_WAREHOUSE_SK > 1173827074 then 1 else 0 end as case_warehouse_sk
FROM	INVENTORY TB1
INNER JOIN
WAREHOUSE TB2 
ON INV_WAREHOUSE_SK = TB2.W_WAREHOUSE_SK;

UPDATE WAREHOUSE
SET W_WAREHOUSE_NAME='RANDOM NAME'
WHERE W_WAREHOUSE_SK > 1882407638 ;

SELECT * 
	FROM	INVENTORY TB1
	INNER JOIN
	WAREHOUSE TB2 
		ON TB1.INV_WAREHOUSE_SK = TB2.W_WAREHOUSE_SK
	INNER JOIN
	ITEM TB3 
		ON TB1.INV_ITEM_SK = TB3.I_ITEM_SK
	AND TB1.INV_DATE_SK IN ( SELECT DISTINCT D_DATE_SK FROM DATE_DIM WHERE d_fy_year BETWEEN 2001 AND 2015);

SELECT d_date_sk
,d_date_id                     
,d_date                        
,d_month_seq                   
,d_week_seq                    
,d_quarter_seq                 
,d_year                        
FROM DATE_DIM
WHERE  D_MONTH_SEQ ^= 5
AND d_fy_year > 2000
AND d_fy_year < 2017
ORDER BY D_DATE ASC, D_DATE_SK DESC;

UPDATE WAREHOUSE
SET W_WAREHOUSE_NAME='RANDOM NAME'
WHERE W_WAREHOUSE_SK > 1882407638 ;

DELETE FROM PROMOTION where P_COST =1667967615587.7;

