UPDATE WAREHOUSE_cp2 SET W_WAREHOUSE_NAME='SOME NAME' 
WHERE w_warehouse_sk 
IN ( SELECT inv_warehouse_sk FROM inventory where inv_warehouse_sk > 10000 
UNION 
SELECT inv_warehouse_sk FROM inventory where inv_warehouse_sk < 1000 );
DELETE FROM WAREHOUSE 
WHERE WAREHOUSE.w_warehouse_sk 
IN ( SELECT inv_warehouse_sk FROM inventory where inv_warehouse_sk > 10000 
UNION SELECT inv_warehouse_sk FROM inventory where inv_warehouse_sk < 1000 );
UPDATE WAREHOUSE SET W_WAREHOUSE_NAME='RANDOM NAME' WHERE W_WAREHOUSE_SK > 1882407638;
SELECT DISTINCT W_WAREHOUSE_SK FROM WAREHOUSE EXCEPT SELECT DISTINCT INV_WAREHOUSE_SK FROM INVENTORY;
SELECT D1.[Code], D1.[Description], C.[InstanceKey]
FROM [TableA] A
INNER JOIN [TableB] B
    ON A.[Key] = B.[Key]
INNER JOIN [TableC] C
    ON B.[DetailKey] = C.[DetailKey]
LEFT JOIN [TableD] D1
    ON C.[InstanceKey] = D1.[InstanceKey]
    AND D1.[RankCnt] = (SELECT MIN(D2.[RankCnt]) 
                      FROM [TableD] D2
                      WHERE C.[InstanceKey] = D2.[InstanceKey]);
select
  f.ID as TID,
  f.BldgID as TBldgID,
  f.LeaseID as TLeaseID,
  f.Period as TPeriod,
  coalesce(
    (select 
       top 1 f1.ChargeAmt
     from
       Fact_CMCharges f1
     where
       f.BldgID = f1.BldgID
     ),
     0) as TChargeAmt1,
  f.ChargeAmt as TChargeAmt2
from
  Fact_CMCharges f
join
  CMRECC l on l.BLDGID = f.BldgID
where
  f.ActualProjected = 'Lease';
SELECT
 M.VAR_1,
 C.VAR_2,
 N.VAR_3
FROM TABLE_1 C
INNER JOIN TABLE_2 M ON C.CONTRACT_ID = M.CONTRACT_ID
INNER JOIN TABLE_3 FINREC ON M.CODE_2 = FINREC.CODE_3
INNER JOIN TABLE_4 N ON N.CODE_4 = (SELECT MAX(NN.CODE_4) 
                                    FROM TABLE_4 NN 
                                    WHERE NN.CODE_5 = M.CODE_5);
WITH Range__A1_A4 (val) AS (
    SELECT 1  UNION ALL 
    SELECT 2  UNION ALL 
    SELECT 8  UNION ALL 
    SELECT 10  
), NFL (SEASON, TEAM, WINS) AS (
    SELECT 2010, 'KC', 10  UNION ALL
    SELECT 2011, 'GB', 11 
)
SELECT 	SEASON, 
		TEAM, 
		WINS,
    	(SELECT SUM(CASE WHEN NFL.WINS>R.val THEN 1 ELSE 0 END) FROM Range__A1_A4 R) ct
FROM NFL;
select      a.OP_ACCT,    CASE         
              WHEN a.TRAVEL_DT < 10101               THEN -18989899         
              WHEN a.TRAVEL_DT % 10000 = 229                          THEN                 (CASE                    
                  WHEN a.TRAVEL_DT % 1000000 > 229 
                  AND                        a.TRAVEL_DT / 10000 % 4 = 0                      THEN a.TRAVEL_DT - 19000000                   
                  WHEN a.TRAVEL_DT % 1000000 = 229 
                  AND                        a.TRAVEL_DT / 10000 % 400 = 0                       THEN a.TRAVEL_DT - 19000000                   
                  ELSE                       -18989899                 
              END)         
              WHEN a.TRAVEL_DT % 100 >= 1 
              AND              (
                  (
                      a.TRAVEL_DT / 100 % 100 IN (
                          1, 3, 5, 7, 8, 10,12
                      ) 
                      AND                a.TRAVEL_DT % 100 <= 31
                  ) 
                  OR               (
                      a.TRAVEL_DT / 100 % 100 IN (
                          4, 6, 9, 11
                      ) 
                      AND                a.TRAVEL_DT % 100 <= 30
                  ) 
                  OR               (
                      a.TRAVEL_DT / 100 % 100 = 2 
                      AND                a.TRAVEL_DT % 100 <= 28
                  )
              )             THEN a.TRAVEL_DT - 19000000         
              ELSE  -18989899   
          END,    
          1,
          CASE  
              when AIRLINE is null then 'O'  
              when AIRLINE = '' then 'O'       
              WHEN b.PRTCPNT_TYPE = 'A'          THEN 'F'       
              ELSE b.PRTCPNT_TYPE  
          END,   case 
              when AIRLINE = '' then 'OP'  
              when AIRLINE is null then 'OP'  
              else AIRLINE 
          end,    BASE_PTS,    BONUS_MILES,    'A',    AGENT_SINE,    CASE         
              WHEN KEY_DATE < 10101               THEN -18989899         
              WHEN KEY_DATE % 10000 = 229                          THEN                 (CASE                    
                  WHEN KEY_DATE % 1000000 > 229 
                  AND                        KEY_DATE / 10000 % 4 = 0                      THEN KEY_DATE - 19000000                   
                  WHEN KEY_DATE % 1000000 = 229 
                  AND                        KEY_DATE / 10000 % 400 = 0                       THEN KEY_DATE - 19000000                   
                  ELSE                       -18989899                 
              END)         
              WHEN KEY_DATE % 100 >= 1 
              AND              (
                  (
                      KEY_DATE / 100 % 100 IN (
                          1, 3, 5, 7, 8, 10,12
                      ) 
                      AND                KEY_DATE % 100 <= 31
                  ) 
                  OR               (
                      KEY_DATE / 100 % 100 IN (
                          4, 6, 9, 11
                      ) 
                      AND                KEY_DATE % 100 <= 30
                  ) 
                  OR               (
                      KEY_DATE / 100 % 100 = 2 
                      AND                KEY_DATE % 100 <= 28
                  )
              )             THEN KEY_DATE - 19000000         
              ELSE  -18989899   
          END,    AIRLINE_LGCL,    CASE        
              WHEN SUBSTRING(FLT_NUM 
          ,
              1 , 1) BETWEEN '0' AND '9' 
              AND            SUBSTRING(FLT_NUM 
          ,
              2 , 1) BETWEEN '0' AND '9' 
              AND            SUBSTRING(FLT_NUM 
          ,
              3 , 1) BETWEEN '0' AND '9' 
              AND                       SUBSTRING(FLT_NUM 
          ,
              4 , 1) BETWEEN '0' AND '9'          THEN FLT_NUM       
              ELSE 0   
          END,
          a.ORIG,
          a.DEST,
          FARE,
          FARE_BASE,
          CASE       
              WHEN SUBSTRING(ACTUAL_MILES 
          ,
              1 , 1) BETWEEN '0' AND '9' 
              AND            SUBSTRING(ACTUAL_MILES 
          ,
              2 , 1) BETWEEN '0' AND '9' 
              AND            SUBSTRING(ACTUAL_MILES 
          ,
              3 , 1) BETWEEN '0' AND '9' 
              AND            SUBSTRING(ACTUAL_MILES 
          ,
              4 , 1) BETWEEN '0' AND '9' 
              AND            SUBSTRING(ACTUAL_MILES 
          ,
              5 , 1) BETWEEN '0' AND '9'         THEN ACTUAL_MILES       
              ELSE 0   
          END,
          a.TKT_NUM,
          CASE       
              WHEN a.CRD_CARD = 'A'          THEN 'AX'       
              WHEN a.CRD_CARD = 'V'          THEN 'VI'       
              WHEN a.CRD_CARD = 'M'          THEN 'CA'       
              WHEN a.CRD_CARD = 'I'          THEN 'IK'       
              WHEN a.CRD_CARD = 'S'          THEN 'DS'       
              WHEN a.CRD_CARD = 'D'          THEN 'DC'       
              WHEN a.CRD_CARD = 'T'          THEN 'TP'       
              ELSE '  '    
          END,
          TRANSATL_SEG,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN 0   
              ELSE c.EQM_BASE 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN 0   
              ELSE c.EQM_FC 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN 0   
              ELSE c.EQM_UA 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN 0   
              ELSE c.EQM_STAR 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN 0   
              ELSE c.EQM_PROMO 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN 0   
              ELSE c.EQM_FLEX 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL       THEN 0                 
              ELSE c.dep_pqp_flex 
          END,
          CASE 
              WHEN c.EQM IS NULL       THEN 0      
              ELSE c.EQM 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN 0   
              ELSE c.PQF 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN 0   
              ELSE c.PQP 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL   THEN 0                 
              ELSE c.EQP_FLEX 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN 0   
              ELSE c.EQP_GW 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN 0   
              ELSE c.EQP_UA 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN 0   
              ELSE c.EQP_STAR 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN 0   
              ELSE c.EQP_PROMO 
          END,
          CASE 
              WHEN c.EQP IS NULL       THEN 0      
              ELSE c.EQP 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN ''   
              ELSE c.MKT_FARE_CLASS 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL THEN ''   
              ELSE c.MKT_CARRIER 
          END,
          CASE 
              WHEN c.OP_ACCT IS NULL  THEN 0        
              when substring(c.MKT_FLT_NUM,
              1,
              1) NOT IN ('0',
              '1',
              '2',
              '3',
              '4',
              '5',
              '6',
              '7',
              '8',
              '9') then 0   
              ELSE c.MKT_FLT_NUM 
          END,
          CASE 
              WHEN c.WEB_FLAG IS NULL THEN 'N'   
              WHEN c.WEB_FLAG = '' THEN 'N'   
              ELSE c.WEB_FLAG 
          END,
          CASE         
              WHEN a.PROB_LOG_DT < 10101               THEN -18989899         
              WHEN a.PROB_LOG_DT % 10000 = 229                          THEN                 (CASE                    
                  WHEN a.PROB_LOG_DT % 1000000 > 229 
                  AND                        a.PROB_LOG_DT / 10000 % 4 = 0                      THEN a.PROB_LOG_DT - 19000000                   
                  WHEN a.PROB_LOG_DT % 1000000 = 229 
                  AND                        a.PROB_LOG_DT / 10000 % 400 = 0                       THEN a.PROB_LOG_DT - 19000000                   
                  ELSE                       -18989899                 
              END)         
              WHEN a.PROB_LOG_DT % 100 >= 1 
              AND              ((a.PROB_LOG_DT / 100 % 100 IN (1,
              3,
              5,
              7,
              8,
              10,
              12) 
              AND                a.PROB_LOG_DT % 100 <= 31) 
              OR               (a.PROB_LOG_DT / 100 % 100 IN (4,
              6,
              9,
              11) 
              AND                a.PROB_LOG_DT % 100 <= 30) 
              OR               (a.PROB_LOG_DT / 100 % 100 = 2 
              AND                a.PROB_LOG_DT % 100 <= 28))             THEN a.PROB_LOG_DT - 19000000         
              ELSE  -18989899   
          END,
          BATCH,
          LAST_STMT,
          CASE 
              WHEN c.PNR_NBR IS NULL THEN ' ' 
              ELSE c.PNR_NBR 
          END AS PNR_NBR,
          CASE 
              WHEN c.SHARES_TICKET IS NULL THEN ' '             
              ELSE substring(c.SHARES_TICKET,
              1,
              13) 
          END AS TKT_NBR_012,
          CASE         
              WHEN c.ISSUE_DT < 10101               THEN -18989899         
              WHEN c.ISSUE_DT % 10000 = 229                          THEN                 (CASE                    
                  WHEN c.ISSUE_DT % 1000000 > 229 
                  AND                        c.ISSUE_DT / 10000 % 4 = 0                      THEN c.ISSUE_DT - 19000000                   
                  WHEN c.ISSUE_DT % 1000000 = 229 
                  AND                        c.ISSUE_DT / 10000 % 400 = 0                       THEN c.ISSUE_DT - 19000000                   
                  ELSE                       -18989899                 
              END)         
              WHEN c.ISSUE_DT % 100 >= 1 
              AND              ((c.ISSUE_DT / 100 % 100 IN (1,
              3,
              5,
              7,
              8,
              10,
              12) 
              AND                c.ISSUE_DT % 100 <= 31) 
              OR               (c.ISSUE_DT/ 100 % 100 IN (4,
              6,
              9,
              11) 
              AND                c.ISSUE_DT % 100 <= 30) 
              OR               (c.ISSUE_DT / 100 % 100 = 2 
              AND                c.ISSUE_DT % 100 <= 28))             THEN c.ISSUE_DT - 19000000         
              ELSE  -18989899   
          END AS ISSUE_DT,
          CASE 
              WHEN c.SHARES_TICKET IS NULL THEN ' '             
              ELSE CAST(substring(c.SHARES_TICKET,
              14,
              1) AS CHAR(1)) 
          END AS COUPON_NUM,
          CASE 
              WHEN c.REV_SEG IS NULL THEN 0             
              ELSE CAST(c.REV_SEG AS DECIMAL (9,
              2)) 
          END AS EARN_RVNU_AMT,
          CASE 
              WHEN c.DEP_REV_SOURCE_IND IS NULL THEN ' '             
              ELSE c.DEP_REV_SOURCE_IND 
          END,
          CASE 
              WHEN c.TKT_DESIGNATOR IS NULL THEN ' '             
              ELSE c.TKT_DESIGNATOR 
          END AS DISCOUNT_CD,
          CASE 
              WHEN a.IATA_NUM IS NULL THEN 0             
              ELSE CAST(a.IATA_NUM AS DECIMAL (8,
              0)) 
          END AS AGENCY_ID,
          CASE 
              WHEN c.TKT_AIRLINE IS NULL THEN ' ' 
              ELSE c.TKT_AIRLINE 
          END AS PLATING_CARR,
          CASE 
              WHEN d.PRIM_TKT_NUM IS NULL THEN 0             
              ELSE d.PRIM_TKT_NUM 
          END,
          CASE 
              WHEN d.BASE_MILES_RVNU IS NULL THEN 0             
              ELSE d.BASE_MILES_RVNU 
          END,
          CASE 
              WHEN d.BASE_MILES_DIST IS NULL THEN 0             
              ELSE d.BASE_MILES_DIST 
          END,
          CASE 
              WHEN d.BASE_MILES_BULK_DIST IS NULL THEN 0             
              ELSE d.BASE_MILES_BULK_DIST 
          END,
          CASE 
              WHEN d.FC_BONUS_MILES_RVNU IS NULL THEN 0             
              ELSE d.FC_BONUS_MILES_RVNU 
          END,
          CASE 
              WHEN d.FC_BONUS_MILES_DIST IS NULL THEN 0             
              ELSE d.FC_BONUS_MILES_DIST 
          END,
          CASE 
              WHEN d.FC_BONUS_MILES_BULK_DIST IS NULL THEN 0             
              ELSE d.FC_BONUS_MILES_BULK_DIST 
          END,
          CASE 
              WHEN d.PREM_BONUS_MILES_RVNU IS NULL THEN 0             
              ELSE d.PREM_BONUS_MILES_RVNU 
          END,
          CASE 
              WHEN d.PREM_BONUS_MILES_DIST IS NULL THEN 0             
              ELSE d.PREM_BONUS_MILES_DIST 
          END,
          CASE 
              WHEN d.PREM_BONUS_MILE_BULK_DIST IS NULL THEN 0             
              ELSE d.PREM_BONUS_MILE_BULK_DIST 
          END,
          CASE 
              WHEN d.TOT_CPN_MILES IS NULL THEN 0             
              ELSE d.TOT_CPN_MILES 
          END,
          CASE 
              WHEN d.METH_USED_IND IS NULL THEN ' '             
              ELSE d.METH_USED_IND 
          END,
          CASE 
              WHEN d.CAP_IND IS NULL THEN ' '             
              ELSE d.CAP_IND 
          END,
          CASE 
              WHEN d.TKT_MATCH_IND IS NULL THEN ' '             
              ELSE d.TKT_MATCH_IND 
          END,
          CASE 
              WHEN d.LVL_MATCH_IND IS NULL THEN ' '             
              ELSE d.LVL_MATCH_IND 
          END,
          CASE 
              WHEN d.ACCR_SRC_IND IS NULL THEN ' '             
              ELSE d.ACCR_SRC_IND 
          END,
          CASE 
              WHEN d.OA_RCRD_LOC IS NULL THEN ' '             
              ELSE d.OA_RCRD_LOC 
          END,
          CASE 
              WHEN d.FARE_BOX_TCN IS NULL THEN ' '             
              ELSE d.FARE_BOX_TCN 
          END,
          CASE 
              WHEN d.TKT_CURR_CD IS NULL THEN ' '             
              ELSE d.TKT_CURR_CD 
          END,
          CASE 
              WHEN d.YR_TAX_AMT IS NULL THEN 0             
              ELSE d.YR_TAX_AMT 
          END,
          CASE 
              WHEN d.YQ_TAX_AMT IS NULL THEN 0             
              ELSE d.YQ_TAX_AMT 
          END,
          CASE 
              WHEN d.EARN_BASE_FARE_AMT IS NULL THEN 0             
              ELSE d.EARN_BASE_FARE_AMT 
          END,
          CASE 
              WHEN d.TOUR_CD IS NULL THEN ' '             
              ELSE d.TOUR_CD 
          END,
          CASE 
              WHEN d.SRC_ID IS NULL THEN ' '             
              ELSE d.SRC_ID 
          END,
          CASE 
              WHEN d.FARE_CD IS NULL THEN  ' '             
              ELSE d.FARE_CD 
          END,
          CASE 
              WHEN d.PRO_RATE_SEQ_NUM  IS NULL THEN ' '             
              ELSE d.PRO_RATE_SEQ_NUM 
          END,
          CASE 
              WHEN d.EXCL_TYPE  IS NULL THEN ' '             
              ELSE d.EXCL_TYPE 
          END,
          CASE 
              WHEN d.CORP_BULK_IND  IS NULL THEN ' '              
              ELSE d.CORP_BULK_IND  
          END,
          CASE 
              WHEN d.TKT_POS  IS NULL THEN ' '             
              ELSE d.TKT_POS 
          END,
          CASE 
              WHEN d.PRORATED_RVNU_AMT  IS NULL THEN ' '             
              ELSE d.PRORATED_RVNU_AMT 
          END,
          CASE 
              WHEN c.FLIGHT_MILES IS NULL THEN 0             
              ELSE c.FLIGHT_MILES 
          END,
          CASE 
              WHEN d.REPOST_IND IS NULL THEN ' ' 
              ELSE d.REPOST_IND 
          END,
          CASE 
              WHEN c.DEP_OA_RECORD_LOCATOR IS NULL THEN ' ' 
              ELSE c.DEP_OA_RECORD_LOCATOR 
          END,
          CASE 
              WHEN c.DEP_FARE_BOX_TCN IS NULL THEN ' ' 
              ELSE c.DEP_FARE_BOX_TCN 
          END,
          CASE 
              WHEN c.DEP_MP_YR_TAX_USD IS NULL THEN 0 
              ELSE c.DEP_MP_YR_TAX_USD 
          END,
          CASE 
              WHEN c.DEP_MP_YQ_TAX_USD IS NULL THEN 0 
              ELSE c.DEP_MP_YQ_TAX_USD 
          END,
          CASE 
              WHEN c.DEP_MP_FARE_COMP_USD IS NULL THEN 0 
              ELSE c.DEP_MP_FARE_COMP_USD 
          END,
          CASE 
              WHEN c.DEP_TOUR_CD IS NULL THEN ' ' 
              ELSE c.DEP_TOUR_CD 
          END,
          CASE 
              WHEN c.DEP_SRC_ID IS NULL THEN ' ' 
              ELSE c.DEP_SRC_ID 
          END,
          CASE 
              WHEN c.DEP_FARE_CODE IS NULL THEN ' ' 
              ELSE c.DEP_FARE_CODE 
          END,
          CASE 
              WHEN c.DEP_PRO_SEQ_NUM IS NULL THEN 0 
              ELSE c.DEP_PRO_SEQ_NUM 
          END,
          CASE 
              WHEN d.BASIC_ECONOMY_IND IS NULL THEN ' ' 
              ELSE d.BASIC_ECONOMY_IND 
          END            
      FROM
          ds_tbl_db.TEMP_CHG_ACT_010 a     
      LEFT OUTER JOIN
          ds_tbl_db.PRTCPNT b    
              ON a.AIRLINE = b.PRTCPNT_ID  
              AND b.INACTIVE_DT > '1111'    
      LEFT OUTER JOIN
          ds_tbl_db.TEMP_CHG_ACT_012 c  
              ON a.OP_ACCT = c.OP_ACCT  
              AND a.TKT_NUM = c.TKT_NUM  
              AND a.TRAVEL_DT = c.TRAVEL_DT  
      LEFT OUTER JOIN
          ds_tbl_db.TEMP_DEPOSIT  d         
              ON a.OP_ACCT = d.OP_ACCT         
              AND a.TRAVEL_DT  = d.TRAVEL_DT         
              AND a.TKT_NUM = d.TRACKING_CD  
      WHERE
          B.inactive_dt > '1111' ;
SELECT d_date_sk ,d_date_id ,d_date ,d_month_seq ,d_week_seq ,d_quarter_seq ,d_year FROM DATE_DIM WHERE D_MONTH_SEQ=10 ORDER BY D_DATE ASC, D_DATE_SK DESC;
SELECT d_date_sk ,d_date_id ,d_date ,d_month_seq ,d_week_seq ,d_quarter_seq ,d_year FROM DATE_DIM WHERE D_MONTH_SEQ != 5 AND d_fy_year > 2000 AND d_fy_year < 2017 ORDER BY D_DATE ASC, D_DATE_SK DESC;
SELECT p_promo_sk,p_start_date_sk,ROW_NUMBER() OVER(partition by p_promo_sk, p_start_date_sk ORDER BY ABS(p_item_sk-p_promo_sk)) FROM promotion;
INSERT INTO inventory (inv_date_sk, inv_item_sk, inv_warehouse_sk, inv_quantity_on_hand)
VALUES (47, 936587684, 1724071, 2449);

DROP VIEW VW_WAREHOUSE;

CREATE VIEW VW_WAREHOUSE AS
SELECT * FROM WAREHOUSE WHERE W_STATE='TN';

DROP VIEW VW_WAREHOUSE_1;

CREATE VIEW VW_WAREHOUSE_1 AS
SELECT W_WAREHOUSE_SK,W_WAREHOUSE_ID,W_CITY FROM WAREHOUSE WHERE W_STATE ='KS';